From 8e2faa4991c75704b33e998cd332eb45346d5336 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 06 2021 05:46:58 +0000
Subject: [PATCH 2050/2232] Omit receiver type lifetimes from Rust method shim


For a receiver like `self: &mut RustType<'a>`, before:

    RustType<'a>::methodname  // invalid

after:

    RustType::methodname  // 👍

---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 7e666b2..578d624 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -1008,7 +1008,7 @@ fn expand_rust_function_shim_super(
     let call = match &sig.receiver {
         None => quote_spanned!(span=> super::#invoke),
         Some(receiver) => {
-            let receiver_type = &receiver.ty;
+            let receiver_type = &receiver.ty.rust;
             quote_spanned!(span=> #receiver_type::#invoke)
         }
     };

